Skip to main content
GET
/
legal-documents
/
{legal_document_id}
/
versions
/
{version_id}
Retrieve a legal document version
curl --request GET \
  --url https://api.engine.usesophic.com/legal-documents/{legal_document_id}/versions/{version_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "legal_document": "<string>",
  "version": "<string>",
  "effective_at": "2023-11-07T05:31:56Z",
  "file": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

The ID of the legal document.

version_id
string
required

The ID of the version to retrieve.

Response

OK

id
string
required

Unique resource identifier.

ID of the parent legal document.

version
string
required

Version of the legal document.

effective_at
string<date-time>
required

The timestamp from which this version of the document is effective (in ISO-8601 format).

file
string
required

ID of the underlying File.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.